#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		qtver		%(qmake --version | grep Qt | cut -d ' ' -f4)
#-----------------------------------------------------------------------------
Name		:	libwebp
Version		:	1.3.2
Release		:	16.2.0.rel%{?dist}
Summary		:	Library to encode and decode images in WebP format
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://developers.google.com/speed/webp
			#https://storage.googleapis.com/downloads.webmproject.org/releases/webp/index.html

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	libpng-devel
BuildRequires	:	libtiff
#-----------------------------------------------------------------------------
%description
WebP is a modern image format that provides superior lossless
and lossy compression for images on the web. Using WebP,
webmasters and web developers can create smaller, richer images
that make the web faster.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc	COPYING NEWS README.md
%{_bindir}/*web*
%{_includedir}/webp/*.h
%{_includedir}/webp/sharpyuv/*.h
%{_libdir}/libsharpyuv.so*
%{_libdir}/%{name}*.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/pkgconfig/libsharpyuv.pc
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--datadir=%{_datadir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-libwebpmux				\
	--enable-libwebpdemux				\
	--enable-libwebpdecoder				\
	--enable-libwebpextras				\
	--enable-swap-16bit-csp				\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
